﻿using System.Collections;
using System.Threading.Tasks;
using UnityEngine;

public class NotepadUnlocker : Mod
{
    public void Start()
    {
        Debug.Log("Mod NotepadUnlocker has been loaded!");
        StartCoroutine(Unlocking());
    }

    public IEnumerator Unlocking()
    {
        if (ItemsManager.Get())
        {
            ItemsManager.Get().UnlockAllItemsInNotepad();
        }
        yield return new WaitForSeconds(10);
        StartCoroutine(Unlocking());
    }

    public void OnModUnload()
    {
        Debug.Log("Mod NotepadUnlocker has been unloaded!");
    }
}